﻿
namespace Jsl.FxCop
{
    /// <summary>
    /// Used to determine how or if the search will continue.
    /// </summary>
    public enum SearchState
    {
        /// <summary>Continue searching.</summary>
        ContinueSearch,
        /// <summary>Continue searching but don't search any of the descendants of this item.</summary>
        SkipDescendants,
        /// <summary>Stop searching.</summary>
        StopSearch
    }
}